<?php
$downloadsModel = Mage::getModel('mageworx_downloads/files');
$_downloadsCollection = $downloadsModel->getCollection();

$dlFolder = Mage::getBaseUrl(Mage_Core_Model_Store::URL_TYPE_MEDIA) . 'downloads/';

$currentStore = Mage::app()->getStore()->getId();
?>

<?php // Grid Mode ?>

<?php $_collectionSize = $_downloadsCollection->count() ?>
<?php $_columnCount = (int)ceil($_collectionSize / 4); ?>

<?php $i=0; foreach ($_downloadsCollection as $_file): ?>
    <?php
    if (strpos($_file->filename, ' ') !== false) {
        $filename = $_file->filename;
        $filename = str_replace(' ', '_', $filename);
    } else {
        $filename = $_file->filename;
    }
    ?>
	<?php $fileInStores = explode (',' , $_file->store_ids);?>
    <ul class="catalog-grid">
	    <?php if (in_array ($currentStore , $fileInStores) !== false): ?>
        <li class="item<?php if(($i-1)%$_columnCount==0): ?> first<?php elseif($i%$_columnCount==0): ?> last<?php endif; ?>">
            <a href="<?php echo $dlFolder.$_file->file_id."/".$filename ?>" target=_blank title="<?php echo $this->stripTags($_file->name) ?>" class="product-image">
                <img src="<?php echo $dlFolder.$_file->file_id."/thmb/".$_file->imgurl ?>" alt="<?php echo $this->stripTags($_file->name) ?>" />
            </a>
            <h2 class="catalog-name">
                <a href="<?php echo $dlFolder.$_file->file_id."/".$filename ?>" target=_blank>
                    <?php echo $this->stripTags($_file->name) ?>
                </a>
            </h2>
        </li>
        <?php endif; ?>
    </ul>
<?php endforeach ?>
<script type="text/javascript">decorateGeneric($$('ul.catalog-grid'), ['odd','even','first','last'])</script>
